/* search_page.h
*
*  (c) 2001 Tim-Philipp Muller <t.i.m@orange.net>
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_SEARCH_PAGE_H_INCLUDED_
#define _ED2K_GUI_SEARCH_PAGE_H_INCLUDED_

#include <gtk/gtk.h>
#include "search_data.h"

#define NO_OF_SEARCH_COLS	12
#define MAX_SEARCH_PAGES	256

#define DEFAULT_SEARCH_PHRASE	_("<search phrase>")

typedef struct
{
	GtkWidget			*dialog;			// the custom dialog widget
	GtkWidget			*ew_search_custom;	// the entry widget
	searchlistRecord	*slr;				// the search list item

} searchCustomDialogStruct;

enum
{
 SL_MENUITEM_SELECT_ALL = 0,
 SL_MENUITEM_CLEAR_SELECTION,
 SL_MENUITEM_DL_SELECTED,
 SL_MENUITEM_CUSTOM_DL_SELECTED,
 SL_MENUITEM_COPY_LINK_TO_CLIPBOARD,
 SL_MENUITEM_SHOW_ALT_NAMES,
 SL_MENUITEM_ADD_TO_BLACKLIST,
 SL_MENUITEM_SHOW_ACTIVE_FILTERS,
 SL_MENUITEM_ROTATE_TABS,
 SL_MENUITEM_GET_NEXT_200,
 SL_MENUITEM_EXTEND_SEARCH_5X,
 SL_MENUITEM_FORGET_SEARCH,
 SL_MENUITEM_SHOW_OWN_FILES,
 SL_MENUITEM_TOGGLE_SHOW_BL_ITEMS,
 SL_MENUITEM_RESET,
 SL_MENUITEM_TOGGLE_SEARCHOPT,
} ;

// so we can activate it once we have results - thus global
extern GtkWidget	*button_extend; 
extern GtkWidget	*button_more;
extern GtkWidget	*button_forget;
extern GtkWidget	*button_addsearch;


GtkWidget	*search_page_create (void);
void		 searchnotebook_make_new_page (const gchar *tablabel, searchList *sl);
void		 search_page_set_initial_extra_search_options_visibility (void);
void		 search_from_toolbar (const gchar *searchphrase);
void		 searchclist_resort (GtkCList *clist);

#endif
