/* servers_page.h
*
* (c) 2001 Tim-Philipp Muller <t.i.m@orange.net>
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_SERVERS_PAGE_H_INCLUDED_
#define _ED2K_GUI_SERVERS_PAGE_H_INCLUDED_

#include <time.h>
#define GNET_EXPERIMENTAL
#include <gnet/gnet.h>
#include <gtk/gtk.h>
#include "statusbar.h"
#include "servers_data.h"

#define NO_OF_SERVER_COLS 8

/* if we haven't gotten anything after 30secs, we probably never will */
#define SERVER_WO_STATS_DEAD_SECONDS 30

#define SRV_CLIST	GTK_CLIST(clist_servers)


extern GtkWidget	*clist_servers;		// our server clist

gint		 serversclist_find_row_from_record (serverRecord *item);
void		 serversclist_popupmenu_item_selected (GtkWidget *widget, gpointer data);
void		 serversclist_set_overnet_mode (gboolean onoff);

GtkWidget	*servers_page_create (void);
void		 serversclist_update (void);
void		 servers_page_set_client_id (const gchar *s);

void		 servers_toolbar_icon_popup_menu (guint button, guint32 activate_time);



// we need this global, so regular timer can call us to fetch a serverlist
enum
{
 SERVERS_MENUITEM_CONNECT = 0,
 SERVERS_MENUITEM_CONNECT_ANY,
 SERVERS_MENUITEM_DISCONNECT,
 SERVERS_MENUITEM_REFRESH,
 SERVERS_MENUITEM_REMOVE,
 SERVERS_MENUITEM_SET_PRIORITY,
 SERVERS_MENUITEM_FETCH_SERVERLIST,
 SERVERS_MENUITEM_SELECT_ALL,
 SERVERS_MENUITEM_UNSELECT_ALL,
 SERVERS_MENUITEM_TOGGLE_ALWAYS_CONNECTED,
 SERVERS_MENUITEM_TOGGLE_AUTO_REMOVE_DEAD,
 SERVERS_MENUITEM_TOGGLE_IGNORE_QUEUE_DEADLOCKS,
 SERVERS_MENUITEM_TOGGLE_AUTO_CLEAR_ON_FETCH,
 SERVERS_MENUITEM_TOGGLE_FETCH_LIST_WHEN_FEW_SERVERS,
 SERVERS_MENUITEM_TOGGLE_DISCONNECT_ON_LOWID,
 SERVERS_MENUITEM_TOGGLE_SINGLE_MODE,
 SERVERS_MENUITEM_TOGGLE_UNSEL_AFTER_ACTION,
 SERVERS_MENUITEM_TOGGLE_AUTO_REMOVE_INVALID,
 SERVERS_MENUITEM_INVALID
} ;

enum
{
 SERVER_PRIO_NORMAL=0,
 SERVER_PRIO_HIGH=1,
 SERVER_PRIO_LOW=2
} ;

#define SERVERS_MENUITEM_FUNC_NUMBER_PRIO_LOW		(SERVER_PRIO_LOW<<8)
#define SERVERS_MENUITEM_FUNC_NUMBER_PRIO_NORMAL	(SERVER_PRIO_NORMAL<<8)
#define SERVERS_MENUITEM_FUNC_NUMBER_PRIO_HIGH		(SERVER_PRIO_HIGH<<8)

//#define SERVERS_MENUITEM_FUNC_CONNECT_ANY_FLAG	(0x01<<16)
#define SERVERS_MENUITEM_FUNC_REMOVE_DEAD_FLAG	(0x02<<16)
#define SERVERS_MENUITEM_FUNC_REMOVE_ALL_FLAG	(0x04<<16)
#define SERVERS_MENUITEM_FUNC_REMOVE_LOCAL_FLAG	(0x08<<16)


#endif
