/***************************************************************************
                          uploads_data.h  -  description
                             -------------------
    begin                : Fri Jul 26 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_uploads_data_h_included_
#define _ed2k_gui_uploads_data_h_included_

#include <gtk/gtk.h>

typedef struct
{
	GQuark	 namequark;
	guint8	 hash[16];		// file hash
	guint8	 userhash[16];
	gchar	*username;
	gfloat	 speed;			// current upload speed
	guint32	 size;
} uploadRecord;


extern GPtrArray	*uploads;


void		uploads_add_record (const guint8 *userhash, const gchar *filename, const gchar *username);
void		uploads_remove_record (uploadRecord *ul);
void		uploads_cleanup (void);
gboolean	uploads_check_record_completeness (uploadRecord *ul);



#endif

