/***************************************************************************
                          uploadstats_data.h  -  description
                             -------------------
    begin                : Fri Jul 26 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_uploadstats_data_h_included_
#define _ed2k_gui_uploadstats_data_h_included_

#include "uploads_data.h"
#include <gtk/gtk.h>

typedef struct
{
	GQuark		namequark;
	guint8		hash[16];		// FILE hash (_not_ user hash)
	guint32		size;
	gfloat		uploaded;		// kB of data uploaded
	time_t		last_uploaded;	// last time uploaded
} uploadstatsRecord;

extern GPtrArray	*uploadstats;


void				 uploadstats_cleanup (void);
void				 uploadstats_add_or_increase_record (const uploadRecord *ul, guint timediff);
void				 uploadstats_remove_record (uploadstatsRecord *ulstatsr);
uploadstatsRecord	*uploadstats_find_from_hash (const guint8 *filehash);


#endif


