#!/bin/sh
#
# small uninstall skript, as 'make uninstall' seems harder to implement.
# This skript sucks, but it should work alright in most cases
#
# (c) 2002 Tim-Philipp Muller
#

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo " uninstall.sh: removes ed2k_gui files previously isntalled with 'make install'"
echo " "
echo " "
echo " ****************************************************************"
echo " * This uninstall skript is experimental. Use at your own risk! *"
echo " ****************************************************************"
echo " "
echo " "
sleep 1
echo "                 press <enter> twice to continue."

read
read

if [ ! -e Makefile ] ; then
  echo -e "\n***** uninstall.sh: need Makefile as created by ./configure\n"
  exit 1
fi

prefix=`grep "^prefix" Makefile | sed "s%prefix.*=[^/]*%%"`

echo -e "\nuninstall.sh: prefix found in Makefile\t\t\t... $prefix"

#-----------------------------
# check whether prefix exists
#-----------------------------
echo -n -e "uninstall.sh: $prefix exists\t\t\t\t... "
if [ ! -d "$prefix" ] ; then
  echo -e "NO. Exiting.\n";
  exit 1;
fi
echo -e "yes"

#-------
# paths
#-------
binary="$prefix/bin/ed2k_gui"
pkgdatadir="$prefix/share/ed2k_gui/"
docdir="$prefix/share/doc/ed2k_gui/"


#--------------------------------------
# check whether GUI is installed there
#--------------------------------------

echo -n -e "uninstall.sh: $binary binary exists\t... "
if [ ! -f "$binary" ] ; then
  echo -e "NO. Exiting.\n";
  exit 1;
fi
echo -e "yes"

#--------------------------------------------
# checking whether we have write permissions
#--------------------------------------------

echo -n -e "uninstall.sh: checking permissions\t\t\t... "
if [ ! -w "$binary" ] ; then
  echo -e "FAILED. Exiting.\n";
  echo -e "\n***** You probably need to become root for this task.\n";
  exit 1;
fi
echo -e "ok"

#--------------------------------------------
# removing binary
#--------------------------------------------

echo -n -e "uninstall.sh: uninstalling binary\t\t\t... "
ret="ok"
rm -f "$binary" || ret="FAILED"

echo -e "$ret"


#--------------------------------------------
# removing shared data
#--------------------------------------------

echo -n -e "uninstall.sh: uninstalling data(icons)\t\t\t... "
ret="skipped (dir does not exist)"
if [ -d "$pkgdatadir" ] ; then
  ret="ok"
  rm -rf "$pkgdatadir" || ret="FAILED"
fi
echo -e "$ret";

#--------------------------------------------
# removing docs
#--------------------------------------------

echo -n -e "uninstall.sh: uninstalling docs\t\t\t\t... "
ret="skipped (dir does not exist)"
if [ -d "$docdir" ] ; then
  ret="ok"
  rm -rf "$docdir" || ret="FAILED"
fi
echo -e "$ret";

#--------------------------------------------
# removing translation files
#--------------------------------------------

echo -n -e "uninstall.sh: uninstalling translation files\t\t... "
mofiles=`find "$prefix/share/locale/" -name "ed2k_gui.mo"`
ret="skipped (no translation files found)"
if [ -n "$mofiles" ] ; then
  ret="ok"
  rm -f $mofiles || ret="FAILED"
fi
echo -e "$ret";


echo -e "\nDone.\n"

